require 'faraday'
require 'json'
require 'uri'

require 'passety/version'
require 'passety/wrapper'
require 'passety/response'

require 'passety/item'
require 'passety/nested_item'
require 'passety/collections/thing'

require 'passety/collection'
require 'passety/property'
require 'passety/thing'
require 'passety/photo'
require 'passety/upload'

require 'passety/exceptions/not_found_error'
require 'passety/exceptions/read_only_error'
require 'passety/exceptions/not_authorized_error'

module Passety
  API_URL = ENV['PASSETY_API_URL'] || 'https://api.passety.com/'
end
