module Passety
  module Collections
    class Thing < NestedItem
      def initialize(wrapper)
        super(wrapper, 'collections', 'things')
      end

      def remove(cid, params = {})
        @wrapper.perform_request do |c|
          c.delete(url(cid)) { |req| req.body = JSON.generate(params) }
        end
      end
    end
  end
end
