module Passety
  class Response
    attr_reader :response

    def initialize(response)
      @response = response
    end

    def parsed
      parse_body(response)
    end

    def status
      response.status
    end

    private
    def parse_body(response)
      body = response.env[:body].strip
      JSON[body]
    rescue
      nil
    end
  end
end
